import { routerRedux } from 'dva/router';
import { fetchDomains, switchDomain, currentDomain } from '../services/domain';
import { setCookie, fullPath } from '../utils/helper';
import { cookie } from '../utils/config';

export default {

  namespace: 'domain',

  state: {
    list: [],
  },

  subscriptions: {
    setup({ dispatch }) {  // eslint-disable-line
    },
  },

  effects: {
    *fetch(action, { put, call }) {
      const list = yield call(fetchDomains, '/', true);
      yield put({ type: 'querySuccess', payload: list });
    },
    *switch({ payload: domainPath }, { put, call }) {
      yield call(switchDomain, domainPath);
      const { path, name } = yield call(currentDomain);
      setCookie(cookie.domainPath, path);
      setCookie(cookie.domainName, name);
      yield put(routerRedux.push(fullPath('/main')));
    },
  },

  reducers: {
    querySuccess(state, { payload: list }) {
      return {
        ...state,
        list,
      };
    },
  },

};
